BoostingTermQuery.BoostingTermWeight (Lucene 2.4.1 API)
Keywords: org.apache.lucene.search.payloads.BoostingTermQuery.BoostingTermWeight class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.payloads
Class BoostingTermQuery.BoostingTermWeight

    java.lang.Object
      org.apache.lucene.search.spans.SpanWeight
          org.apache.lucene.search.payloads.BoostingTermQuery.BoostingTermWeight

All Implemented Interfaces:
  Serializable, Weight

Enclosing class:
  BoostingTermQuery

    protected class BoostingTermQuery.BoostingTermWeight

extends SpanWeight
implements Weight

See Also:
  Serialized Form

Nested Class Summary
`protected class` | `BoostingTermQuery.BoostingTermWeight.BoostingSpanScorer`

Field Summary

Fields inherited from class org.apache.lucene.search.spans.SpanWeight
`idf, query, queryNorm, queryWeight, similarity, terms, value`

Constructor Summary
`BoostingTermQuery.BoostingTermWeight(BoostingTermQuery query, Searcher searcher)`

Method Summary
`Scorer` | `scorer(IndexReader reader)` Constructs a scorer for this.

Methods inherited from class org.apache.lucene.search.spans.SpanWeight
`explain, getQuery, getValue, normalize, sumOfSquaredWeights`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.lucene.search.Weight
`explain, getQuery, getValue, normalize, sumOfSquaredWeights`

Constructor Detail

### BoostingTermQuery.BoostingTermWeight

    public BoostingTermQuery.BoostingTermWeight(BoostingTermQuery query,
                                                Searcher searcher)
                                         throws IOException

Throws:
  `IOException`

Method Detail

### scorer

    public Scorer scorer(IndexReader reader)
                  throws IOException

  Description copied from interface: `Weight`
  Constructs a scorer for this.

  Specified by:
    `scorer` in interface `Weight`
  Overrides:
    `scorer` in class `SpanWeight`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.